Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.2
Subject: flow3.bat gives wrong feedback
Description

Hi,

this is just a very little issue, but your flow3.bat gives  some wrong feedback.

If i callflow3.bat I currently get this feedback:

FLOW3 1.0.2 ("Development" context)
usage: ./flow3 <command identifier>

See '*./flow3* help' for a list of all available commands.

This is quite wrong.

The correct response should be:
FLOW3 1.0.2 ("Development" context)
usage: flow3.bat <command identifier>

See '*flow3.bat* help' for a list of all available commands.

Associated revisions
Revision 7e567e8d - 2012-03-12 16:33 - Karsten Dambekalns

[BUGFIX] Make flow3.bat output usage texts matching Windows

When using flow3.bat on Windows the usage information would tell the
user to call "./flow3", which doesn't fit the Windows world.

Change-Id: Ia8561a7878b7dd9ba8a6f3bb926c9da10b46bd0c
Fixes: #33048
Releases: 1.0, 1.1

Revision b33afd7b - 2012-03-12 17:56 - Karsten Dambekalns

[BUGFIX] Make flow3.bat output usage texts matching Windows

When using flow3.bat on Windows the usage information would tell the
user to call "./flow3", which doesn't fit the Windows world.
Change-Id: Ibed3f966a1861d7275c76a79ec3dc83d68d2b1ea
Fixes: #33048
Releases: 1.0, 1.1

Revision d8ee4702 - 2012-03-13 22:01 - Karsten Dambekalns

[BUGFIX] Removes "ghost command" getflow3

The fix for #33048 in Ia8561a7878b7dd9ba8a6f3bb926c9da10b46bd0c caused a
ghost command to appear in all command controllers…

Change-Id: I915f47620123b6aea2551eb5a1ab0661c7593788
Fixes: #34811
Related: #33048
Releases: 1.1

History
#1 - 2012-01-08 21:07 - Bastian Waidelich

The correct response should be:
FLOW3 1.0.2 ("Development" context)
usage: flow3.bat <command identifier>

as *.bat files are executed by default, you can leave out the extension. So "flow3" <ENTER> works fine.
But you're right, the "./" should be trimmed off on Windows.

#2 - 2012-01-08 23:17 - Daniel Felix

No sorry, your wrong.
You need to specify the .bat!
Windows couldn't handle the request of flow3 help
This has two reasons.
1. you have two files in the same folder. flow3.bat and flow3. So Windows would send the Request to the flow3 File not to the bat itself.
2. Windows Powershell throws a errormessage (in german):
PS C:\inetpub\vhosts\domain.com\httpdocs\Quickstart> flow3
Die Benennung "flow3" wurde nicht als Name eines Cmdlet, einer Funktion, einer Skriptdatei oder eines ausführbaren Prog
ramms erkannt. Überprüfen Sie die Schreibweise des Namens, oder ob der Pfad korrekt ist (sofern enthalten), und wiederh
olen Sie den Vorgang.
Bei Zeile:1 Zeichen:6
+ flow3 <<<<
    + CategoryInfo          : ObjectNotFound: (flow3:String) [], CommandNotFoundException
    + FullyQualifiedErrorId : CommandNotFoundException

#3 - 2012-01-09 14:51 - Bastian Waidelich

You need to specify the .bat!
leaving it out works for me in the default CMD and msysgit interface on Windows 7 and XP.
But, as we have to "localize" this anyways, it doesn't really matter.

#4 - 2012-01-09 19:40 - Daniel Felix

Bastian Waidelich wrote:

You need to specify the .bat!

leaving it out works for me in the default CMD and msysgit interface on Windows 7 and XP.
But, as we have to "localize" this anyways, it doesn't really matter.

Maybe work on Windows 7 and XP, but not on Windows SERVER 2008 with Powershell. ;-) 
But your right. It doesn't matter.

#5 - 2012-03-07 21:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9476

#6 - 2012-03-07 21:13 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Assigned To set to Karsten Dambekalns

#7 - 2012-03-07 21:14 - Karsten Dambekalns
- Category set to Core
- Target version set to 1.0.4
- Has patch set to No

#8 - 2012-03-12 15:49 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9476

#9 - 2012-03-12 16:33 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9476

#10 - 2012-03-12 17:57 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/9582
#11 - 2012-03-13 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7e567e8d38e5a24f052a7da4fa7ae0fd657540e3.
